=== debian/changelog ===
freecell-solver (3.12.0-1) unstable; urgency=low

  * New upstream version. (closes: #675262)

 -- Gergely Risko <risko@debian.org>  Fri, 22 Jun 2012 10:08:05 +0200

freecell-solver (3.4.0-1) unstable; urgency=low

  * New upstream version (closes: #589387):
    - no more string exceptions (closes: #585191)

 -- Gergely Risko <risko@debian.org>  Mon, 10 Jan 2011 20:24:21 +0100

freecell-solver (2.34.0-1) unstable; urgency=low

  * New upstream version

 -- RISKO Gergely <risko@debian.org>  Wed, 15 Jul 2009 17:42:19 +0300

freecell-solver (2.20.0-1) unstable; urgency=low

  * Imported Upstream version 2.20.0
    - fixed new manpage cmake issues in the upstream sources
  * fixed the references in fc-solve-board_gen.pod and fc-solve.pod
  * fixed freecell-solver-config in the dev package
  * added watch file
  * added Vcs and Homepage fields to debian/control

 -- RISKO Gergely <risko@debian.org>  Fri, 27 Mar 2009 00:23:48 +0200

freecell-solver (2.16.0-1) unstable; urgency=low

  * Imported Upstream version 2.16.0 (closes: #518440)
  * cmake is the new buildsystem

 -- RISKO Gergely <risko@debian.org>  Sun, 15 Mar 2009 23:42:21 +0200

freecell-solver (2.8.10-1) unstable; urgency=low

  * New upstream release
  * fixed override disparity

 -- RISKO Gergely <risko@debian.org>  Wed, 30 Mar 2005 20:12:47 +0200

freecell-solver (2.8.9-1) unstable; urgency=low

  * New upstream release
    - it says now that microsoft #11982 is unsolvable (closes: #211869)
  * cdbsized things

 -- RISKO Gergely <risko@debian.org>  Wed, 30 Mar 2005 13:15:22 +0200
