=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_DEBIAN_CONTROL := true
DEB_CMAKE_EXTRA_FLAGS := -DDATADIR=/usr/share
DEB_CLEAN_EXCLUDE := config.h.orig

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

binary-post-install/freecell-solver-bin::
	mv debian/freecell-solver-bin/usr/bin/pi-make-microsoft-freecell-board debian/freecell-solver-bin/usr/bin/make-microsoft-freecell-board
	mv debian/freecell-solver-bin/usr/share/man/man6/pi-make-microsoft-freecell-board.6 debian/freecell-solver-bin/usr/share/man/man6/make-microsoft-freecell-board.6
	mv debian/freecell-solver-bin/usr/bin/make_pysol_freecell_board.py debian/freecell-solver-bin/usr/bin/make-pysol-freecell-board
	mv debian/freecell-solver-bin/usr/share/man/man6/make_pysol_freecell_board.py.6 debian/freecell-solver-bin/usr/share/man/man6/make-pysol-freecell-board.6
	chmod a+x debian/freecell-solver-bin/usr/share/freecell-solver/presets/*
	mkdir -p debian/freecell-solver-bin/usr/share/lintian/overrides/
	cp debian/freecell-solver-bin.lintian debian/freecell-solver-bin/usr/share/lintian/overrides/freecell-solver-bin
	cp board_gen/README debian/freecell-solver-bin/usr/share/doc/freecell-solver-bin/README.board_gen

binary-post-install/libfreecell-solver-dev::
	mkdir -p debian/libfreecell-solver-dev/usr/share/lintian/overrides/
	cp debian/libfreecell-solver-dev.lintian debian/libfreecell-solver-dev/usr/share/lintian/overrides/libfreecell-solver-dev
