## freecell-solver 3.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,14 @@
-INCLUDE( "${CMAKE_CURRENT_SOURCE_DIR}/Common.cmake" )
-
-LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+SET (private_mod_path "${CMAKE_SOURCE_DIR}/cmake")
+LIST (APPEND CMAKE_MODULE_PATH "${private_mod_path}")
+INCLUDE(Shlomif_Common)
+
+SHLOMIF_COMMON_SETUP("${private_mod_path}")
+
+SET (PKGDATADIR "${DATADIR}/freecell-solver")
+
+# Introduces VERSION , CPACK_PACKAGE_VERSION_MAJOR,
+# CPACK_PACKAGE_VERSION_MAJOR, and CPACK_PACKAGE_VERSION_PATCH
+READ_VERSION_FROM_VER_TXT()
 
 # This is the equivalent to perform a "make dist"/"make distdir" etc.
 SET(CPACK_PACKAGE_NAME "freecell-solver")
@@ -9,16 +17,6 @@
 SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.txt")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING.txt")
 
-# Process and extract the version number.
-FILE( READ "ver.txt" VERSION)
-
-CHOMP (VERSION)
-
-STRING (REGEX MATCHALL "([0-9]+)" VERSION_DIGITS "${VERSION}")
-
-LIST(GET VERSION_DIGITS 0 CPACK_PACKAGE_VERSION_MAJOR)
-LIST(GET VERSION_DIGITS 1 CPACK_PACKAGE_VERSION_MINOR)
-LIST(GET VERSION_DIGITS 2 CPACK_PACKAGE_VERSION_PATCH)
 
 SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_DESCRIPTION_SUMMARY} ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 
@@ -41,6 +39,7 @@
     "/\\\\.svn/"
     "\\\\.(pdf|fo)$"
     "/t/t/.*\\\\.exe$"
+    "\\\\.pyc$"
     "/t/Presets"
     "/CMakeCache\\\\.txt$"
     "/Makefile$"
@@ -58,7 +57,8 @@
     "/Testing/"
     "ids-whitelist\\\\.txt"
     "/_Inline/"
-    "/(build|BUILD)/"
+    "/(build|BUILD|B)/"
+    "/Presets/testing-presets"
 )
 
 IF(WIN32 AND NOT UNIX)
@@ -112,7 +112,7 @@
     "States Type ('INDIRECT_STACK_STATES', 'COMPACT_STATES' or 'DEBUG_STATES'). No need to usually change.")
 SET (FCS_ENABLE_RCS_STATES CACHE BOOL "Whether to use RCS-like states (requires a STATES_TYPE of COMPACT_STATES")
 SET (FCS_ENABLE_DBM_SOLVER CACHE BOOL "Whether to build the DBM solver")
-SET (FCS_DBM_BACKEND "bdb" CACHE STRING "Type of DBM backend.")
+SET (FCS_DBM_BACKEND "kaztree" CACHE STRING "Type of DBM backend.")
 SET (FCS_DBM_TREE_BACKEND "libavl2" CACHE STRING "Type of DBM tree backend.")
 SET (IA_STATE_PACKS_GROW_BY 32 CACHE STRING "Amount to Grow State Packs By")
 SET (FCS_IA_PACK_SIZE 64 CACHE STRING "Size of a single pack in kilo-bytes.")
@@ -133,7 +133,7 @@
 SET (FCS_FREECELL_ONLY "" CACHE BOOL "Configure Freecell Solver to only be able to solve Freecell (not recommended)")
 SET (FCS_DISABLE_SIMPLE_SIMON "" CACHE BOOL "Exclude being able to solve Simple Simon from the Binary (not recommended)")
 SET (FCS_WITHOUT_CARD_FLIPPING "1" CACHE BOOL "Exclude the flipping of cards from the binary.")
-SET (FCS_WITH_TEST_SUITE "" CACHE BOOL "Also build and run the test suite.")
+SET (FCS_WITH_TEST_SUITE "1" CACHE BOOL "Also build and run the test suite.")
 SET (FCS_LINK_TO_STATIC "" CACHE BOOL "Link to the static library.")
 SET (FCS_HARD_CODED_NUM_FCS_FOR_FREECELL_ONLY "4" CACHE STRING "The hard-coded number of freecells (4, 2, etc.). Usually ignored")
 
@@ -182,11 +182,47 @@
 
 SET (${STATES_TYPE} 1)
 
+IF (FCS_WITH_TEST_SUITE)
+    SET (FCS_ENABLE_DBM_SOLVER 1)
+ENDIF (FCS_WITH_TEST_SUITE)
+
 IF (FCS_ENABLE_RCS_STATES)
     SET (FCS_RCS_STATES 1)
 ENDIF (FCS_ENABLE_RCS_STATES)
 
-SET (FREECELL_SOLVER_LIB_MODULES alloc.c app_str.c card.c check_and_add_state.c cmd_line.c freecell.c instance.c lib.c move.c move_funcs_maps.c move_funcs_order.c preset.c scans.c simpsim.c split_cmd_line.c state.c)
+SET (rate_state_gen "${CMAKE_CURRENT_SOURCE_DIR}/gen_rate_state_c.pl")
+SET (rate_state_args "${rate_state_gen}" "${CMAKE_CURRENT_SOURCE_DIR}")
+# We do this so there will be no need to run "make" first.
+# See: http://github.com/kripken/emscripten/issues/766#issuecomment-11771150
+ADD_CUSTOM_COMMAND(
+    OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/rate_state.c"
+    COMMAND "perl"
+    ARGS ${rate_state_args}
+    DEPENDS "${rate_state_gen}" "${CMAKE_CURRENT_SOURCE_DIR}/rate_state.h"
+)
+
+EXECUTE_PROCESS(COMMAND "perl" ${rate_state_args})
+
+SET (FREECELL_SOLVER_LIB_MODULES
+    app_str.c
+    card.c
+    check_and_add_state.c
+    cmd_line.c
+    fc_pro_iface.c
+    freecell.c
+    instance.c
+    lib.c
+    meta_alloc.c
+    move.c
+    move_funcs_maps.c
+    move_funcs_order.c
+    preset.c
+    rate_state.c
+    scans.c
+    simpsim.c
+    split_cmd_line.c
+    state.c
+)
 
 IF (FCS_FREECELL_ONLY)
     LIST (REMOVE_ITEM FREECELL_SOLVER_LIB_MODULES preset.c)
@@ -245,20 +281,3 @@
 
     FIND_LIBRARY(LIBREDBLACK_LIB redblack)
 
-ENDIF ((${FCS_STATE_STORAGE} STREQUAL "FCS_STATE_STORAGE_LIBREDBLACK_TREE") OR
-    (${FCS_STACK_STORAGE} STREQUAL "FCS_STACK_STORAGE_LIBREDBLACK_TREE"))
-
-# Search for Judy ( http://judy.sourceforge.net/ ) if appropriate.
-IF ((${FCS_STATE_STORAGE} STREQUAL "FCS_STATE_STORAGE_JUDY") OR
-    (${FCS_STACK_STORAGE} STREQUAL "FCS_STACK_STORAGE_JUDY") OR
-    (FCS_RCS_STATES AND (${FCS_RCS_CACHE_STORAGE} STREQUAL "FCS_RCS_CACHE_STORAGE_JUDY")
-    )
-)
-
-    FIND_LIBRARY(LIBJUDY_LIB Judy)
-ENDIF ((${FCS_STATE_STORAGE} STREQUAL "FCS_STATE_STORAGE_JUDY") OR
-    (${FCS_STACK_STORAGE} STREQUAL "FCS_STACK_STORAGE_JUDY") OR
-    (FCS_RCS_STATES AND (${FCS_RCS_CACHE_STORAGE} STREQUAL "FCS_RCS_CACHE_STORAGE_JUDY")
-    )
-)
-
