=== board_gen/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-INCLUDE( "${CMAKE_CURRENT_SOURCE_DIR}/../Common.cmake" )
-
 ADD_EXECUTABLE (
     make-gnome-freecell-board
     make_gnome_freecell_board.c
@@ -33,21 +31,26 @@
 )
 
 ADD_CUSTOM_TARGET(
-    "${make_pysol}"
+    "make_pysol_board"
     ALL DEPENDS "${_dest}"
 )
 
 SET (_make_py_dest "${_dest}")
 
+# Empty list
+SET (_pod_targets )
+
 RUN_POD2MAN(
-    "${CMAKE_CURRENT_SOURCE_DIR}/fc-solve-board_gen.pod"
+    "_pod_targets"
+    "fc-solve-board_gen.pod"
     "fc-solve-board_gen.6"
     "6"
-    "board_gen"
-    "board_gen ${VERSION}"
+    "Freecell Solver"
+    "Freecell Solver ${VERSION}"
 )
 
 INSTALL_MAN("${CMAKE_CURRENT_BINARY_DIR}/fc-solve-board_gen.6" 6)
+# INSTALL_MAN("fc-solve-board_gen.6" 6)
 
 # Install the nroff symbolic links.
 INSTALL_MAN ("make-aisleriot-freecell-board.6" 6)
@@ -72,3 +75,7 @@
         "bin"
 )
 
+ADD_CUSTOM_TARGET(
+    "docs_pods" ALL
+    DEPENDS ${_pod_targets}
+)
