=== t/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-INCLUDE( "${CMAKE_CURRENT_SOURCE_DIR}/../Common.cmake" )
-
 MACRO(MY_ADD_EXE EXE_FILE C_FILE)
     SET (EXE_FILE_DEST "${CMAKE_CURRENT_SOURCE_DIR}/${EXE_FILE}")
     SET (C_FILE_SRC "${CMAKE_CURRENT_SOURCE_DIR}/${C_FILE}")
@@ -13,7 +11,7 @@
 
     SET_SOURCE_FILES_PROPERTIES (
         "${C_FILE}"
-        PROPERTIES 
+        PROPERTIES
             OBJECT_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/../card.c"
             GENERATED "1"
     )
@@ -30,6 +28,13 @@
 IF (FCS_WITH_TEST_SUITE)
 
     FIND_LIBRARY(LIBTAP_LIB tap)
+    IF (NOT LIBTAP_LIB)
+        MESSAGE (FATAL_ERROR
+"You must install libtap ( http://www.shlomifish.org/open-source/projects/libtap/ ) and its development package or headers to run the test suite.
+If you're not interested in building it, run cmake with the -DFCS_WITH_TEST_SUITE= flag."
+    )
+    ENDIF (NOT LIBTAP_LIB)
+    MY_FIND_GMP ("to run the test suite." "FCS_WITH_TEST_SUITE")
 
     INCLUDE_DIRECTORIES (BEFORE "${CMAKE_BINARY_DIR}")
 
@@ -50,7 +55,7 @@
 
     SET_SOURCE_FILES_PROPERTIES (
         "out-split-cmd-line.c"
-        PROPERTIES 
+        PROPERTIES
             OBJECT_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/../split_cmd_line.c"
             GENERATED "1"
     )
@@ -68,27 +73,49 @@
 
     SET_SOURCE_FILES_PROPERTIES (
         "bit-reader-and-writer-test.c"
-        PROPERTIES 
+        PROPERTIES
             OBJECT_DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/../bit_rw.h"
             GENERATED "1"
     )
 
-    SET (EXE_FILE "t/delta-states-test.exe")
+    IF (DEBONDT_DELTA_STATES)
 
-    ADD_EXECUTABLE(
-        "${EXE_FILE}"
-        "${CMAKE_CURRENT_SOURCE_DIR}/delta-states-test.c"
-    )
+        SET (EXE_FILE "t/delta-states-debondt-test.exe")
 
-    TARGET_LINK_LIBRARIES (${EXE_FILE} ${LIBTAP_LIB})
+        ADD_EXECUTABLE(
+            "${EXE_FILE}"
+            "${CMAKE_CURRENT_SOURCE_DIR}/debondt-delta-states-test.c"
+        )
 
-    SET_SOURCE_FILES_PROPERTIES (
-        "delta-states-test.c"
-        PROPERTIES
-            OBJECT_DEPENDS
-                "${CMAKE_CURRENT_SOURCE_DIR}/../delta_states.c"
-            GENERATED "1"
-    )
+        TARGET_LINK_LIBRARIES (${EXE_FILE} ${LIBTAP_LIB} ${LIBGMP_LIB})
+
+        SET_SOURCE_FILES_PROPERTIES (
+            "delta-states-test.c"
+            PROPERTIES
+                OBJECT_DEPENDS
+                    "${CMAKE_CURRENT_SOURCE_DIR}/../delta_states_debondt.c"
+                GENERATED "1"
+        )
+
+    ELSE (DEBONDT_DELTA_STATES)
+
+        SET (EXE_FILE "t/delta-states-test.exe")
+
+        ADD_EXECUTABLE(
+            "${EXE_FILE}"
+            "${CMAKE_CURRENT_SOURCE_DIR}/delta-states-test.c"
+        )
+
+        TARGET_LINK_LIBRARIES (${EXE_FILE} ${LIBTAP_LIB} ${LIBGMP_LIB})
+
+        SET_SOURCE_FILES_PROPERTIES (
+            "delta-states-test.c"
+            PROPERTIES
+                OBJECT_DEPENDS
+                    "${CMAKE_CURRENT_SOURCE_DIR}/../delta_states.c"
+                GENERATED "1"
+        )
+    ENDIF (DEBONDT_DELTA_STATES)
 
     SET (EXE_FILE "t/dbm-kaztree-compare-records-test.exe")
 
@@ -97,7 +124,7 @@
         "dbm-kaztree-compare-records-test.c"
     )
 
-    # This is a kind-of-temporary kludge to make 
+    # This is a kind-of-temporary kludge to make
     # "dbm-kaztree-compare-records-test.c" build.
     ADD_DEFINITIONS("-DFCS_DBM_USE_LIBAVL=1"
         "-I${CMAKE_CURRENT_SOURCE_DIR}/.."
