=== Presets/presets/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 INSTALL(
     FILES
         "abra-kadabra.sh"
+        "amateur-star.sh"
         "blue-yonder.sh"
         "children-playing-ball.sh"
         "cool-jives.sh"
@@ -12,6 +13,9 @@
         "hello-world.sh"
         "john_galt_line-500.sh"
         "maliciously-obscure.sh"
+        "micro-finance.sh"
+        "micro-finance-improved.sh"
+        "qualified-seed.sh"
         "rin-tin-tin.sh"
         "sand-stone.sh"
         "sentient-pearls.sh"
