=== debian/changelog ===
freecell-solver (3.20.0-1ubuntu1) saucy; urgency=low

  * Add quotes around CMake arguments so parameters aren't orphaned when
    passed; Fixes FTBFS
    - update debian/rules 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 07 Jul 2013 00:27:32 -0500

freecell-solver (3.20.0-1) unstable; urgency=low

  * Imported Upstream version 3.20.0
  * Added shebang to the new presets
  * Standards-version and dh_compat update
  * Pass on `dpkg-buildflags --get LDFLAGS' for hardening

 -- Gergely Risko <risko@debian.org>  Thu, 27 Jun 2013 13:37:12 +0200
