=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: freecell-solver
 Section: devel
 Priority: optional
-Maintainer: Gergely Risko <risko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gergely Risko <risko@debian.org>
 Vcs-Browser: http://git.debian.org/?p=collab-maint/freecell-solver.git;a=summary
 Vcs-Git: git://git.debian.org/collab-maint/freecell-solver.git
-Build-depends: cmake (>= 2.6), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.85~),
+Build-depends: debhelper (>= 7), cmake (>= 2.6), cdbs,
  debhelper (>= 9~),
  dh-buildinfo
 Homepage: http://fc-solve.berlios.de/
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.4
 
 Package: libfreecell-solver0
 Architecture: any
