=== debian/watch ===
version=2
http://fc-solve.berlios.de/download.html http://download.berlios.de/fc-solve/freecell-solver-([\d\.]*).tar.gz
