## freecell-solver 3.26.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,9 @@
 
 SHLOMIF_COMMON_SETUP("${private_mod_path}")
 
-SET (PKGDATADIR "${DATADIR}/freecell-solver")
+SET (PKGDATADIR_SUBDIR "freecell-solver")
+SET (RELATIVE_PKGDATADIR "${RELATIVE_DATADIR}/${PKGDATADIR_SUBDIR}")
+SET (PKGDATADIR "${DATADIR}/${PKGDATADIR_SUBDIR}")
 
 # Introduces VERSION , CPACK_PACKAGE_VERSION_MAJOR,
 # CPACK_PACKAGE_VERSION_MAJOR, and CPACK_PACKAGE_VERSION_PATCH
@@ -69,7 +71,7 @@
     SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\fc-solve.shlomifish.org")
     SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\fc-solve.shlomifish.org")
     SET(CPACK_NSIS_DISPLAY_NAME "Freecell Solver")
-    SET(CPACK_NSIS_CONTACT "shlomif@iglu.org.il")
+    SET(CPACK_NSIS_CONTACT "shlomif@shlomifish.org")
     SET(CPACK_NSIS_MODIFY_PATH ON)
     # Setting for NSIS :
     SET(CPACK_NSIS_MUI_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\fc-solve.ico")
@@ -277,7 +279,3 @@
 
 # Search for libredblack if appropriate.
 IF ((${FCS_STATE_STORAGE} STREQUAL "FCS_STATE_STORAGE_LIBREDBLACK_TREE") OR
-    (${FCS_STACK_STORAGE} STREQUAL "FCS_STACK_STORAGE_LIBREDBLACK_TREE"))
-
-    FIND_LIBRARY(LIBREDBLACK_LIB redblack)
-
