=== board_gen/CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,6 @@
 ADD_EXECUTABLE(
     make-aisleriot-freecell-board
     make_aisleriot_freecell_board.c
-)
-
-ADD_EXECUTABLE(
-    make-microsoft-freecell-board
-    make_microsoft_freecell_board.c
 )
 
 ADD_EXECUTABLE(
@@ -49,21 +44,22 @@
     "Freecell Solver ${VERSION}"
 )
 
-INSTALL_MAN("${CMAKE_CURRENT_BINARY_DIR}/fc-solve-board_gen.6" 6)
-# INSTALL_MAN("fc-solve-board_gen.6" 6)
+IF (UNIX)
+    INSTALL_MAN("${CMAKE_CURRENT_BINARY_DIR}/fc-solve-board_gen.6" 6)
+    # INSTALL_MAN("fc-solve-board_gen.6" 6)
 
-# Install the nroff symbolic links.
-INSTALL_MAN ("make-aisleriot-freecell-board.6" 6)
-INSTALL_MAN ("make-gnome-freecell-board.6" 6)
-INSTALL_MAN ("make_pysol_freecell_board.py.6" 6)
-INSTALL_MAN ("pi-make-microsoft-freecell-board.6" 6)
+    # Install the nroff symbolic links.
+    INSTALL_MAN ("make-aisleriot-freecell-board.6" 6)
+    INSTALL_MAN ("make-gnome-freecell-board.6" 6)
+    INSTALL_MAN ("make_pysol_freecell_board.py.6" 6)
+    INSTALL_MAN ("pi-make-microsoft-freecell-board.6" 6)
+ENDIF (UNIX)
 
 INSTALL(
     TARGETS
         "make-gnome-freecell-board"
         "pi-make-microsoft-freecell-board"
         "make-aisleriot-freecell-board"
-        "make-microsoft-freecell-board"
     DESTINATION
         "bin"
 )
