=== t/CMakeLists.txt ===
--- 
+++ 
@@ -39,12 +39,12 @@
     INCLUDE_DIRECTORIES (BEFORE "${CMAKE_BINARY_DIR}")
 
     MY_ADD_EXE (
-        "t/card-test-render.exe"
+        "card-test-render.t.exe"
         "card-test-render.c"
     )
 
     MY_ADD_EXE (
-        "t/card-test-parse.exe"
+        "card-test-parse.t.exe"
         "card-test-parse.c"
     )
 
@@ -62,7 +62,7 @@
 
     FILE (MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/t")
 
-    SET (EXE_FILE "t/bit-reader-and-writer-test.exe")
+    SET (EXE_FILE "bit-reader-and-writer-test.t.exe")
 
     ADD_EXECUTABLE(
         "${EXE_FILE}"
@@ -80,7 +80,7 @@
 
     IF (DEBONDT_DELTA_STATES)
 
-        SET (EXE_FILE "t/delta-states-debondt-test.exe")
+        SET (EXE_FILE "delta-states-debondt-test.t.exe")
 
         ADD_EXECUTABLE(
             "${EXE_FILE}"
@@ -99,7 +99,7 @@
 
     ELSE (DEBONDT_DELTA_STATES)
 
-        SET (EXE_FILE "t/delta-states-test.exe")
+        SET (EXE_FILE "delta-states-test.t.exe")
 
         ADD_EXECUTABLE(
             "${EXE_FILE}"
@@ -117,7 +117,7 @@
         )
     ENDIF (DEBONDT_DELTA_STATES)
 
-    SET (EXE_FILE "t/dbm-kaztree-compare-records-test.exe")
+    SET (EXE_FILE "dbm-kaztree-compare-records-test.t.exe")
 
     ADD_EXECUTABLE(
         "${EXE_FILE}"
@@ -132,5 +132,19 @@
         )
     TARGET_LINK_LIBRARIES (${EXE_FILE} ${LIBTAP_LIB})
 
+    SET (perl_script "${PROJECT_SOURCE_DIR}/scripts/generate-individual-valgrind-test-scripts.pl")
+    SET (valg_out  "${CMAKE_CURRENT_BINARY_DIR}/t/valgrind--range_parallel_solve__11982_opt.t")
+
+    ADD_CUSTOM_COMMAND(
+        OUTPUT "${valg_out}"
+        COMMAND "perl" "${perl_script}"
+        MAIN_DEPENDENCY "${perl_script}"
+        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/t/lib/FC_Solve/Test/Valgrind.pm"
+    )
+
+    ADD_CUSTOM_TARGET(
+        generate_valgrind_tests ALL
+        DEPENDS "${valg_out}"
+    )
 ENDIF(FCS_WITH_TEST_SUITE)
