=== Presets/presets/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,8 @@
         "the-iglu-cabal.sh"
         "three-eighty.sh"
         "toons-for-twenty-somethings.sh"
+        "video-editing.sh"
         "yellow-brick-road.sh"
     DESTINATION
-        "${PKGDATADIR}/presets"
+        "${RELATIVE_PKGDATADIR}/presets"
 )
