=== debian/changelog ===
freecell-solver (3.26.0-1) unstable; urgency=low

  * Imported Upstream version 3.26.0
    (closes: #715914, #716097, #716171, #716286)
  * Proper quoting in debian/rules (closes: #715224)
  * Added shebang to the new video-editing.sh preset
  * Renamed AUTHORS, README, TODO, USAGE and NEWS to end with .txt
  
 -- Gergely Risko <risko@debian.org>  Fri, 13 Jun 2014 16:27:45 +0200
