=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: freecell-solver
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gergely Risko <risko@debian.org>
+Maintainer: Gergely Risko <risko@debian.org>
 Vcs-Browser: http://git.debian.org/?p=collab-maint/freecell-solver.git;a=summary
 Vcs-Git: git://git.debian.org/collab-maint/freecell-solver.git
 Build-depends: debhelper (>= 7), cmake (>= 2.6), cdbs,
  debhelper (>= 9~),
  dh-buildinfo
 Homepage: http://fc-solve.berlios.de/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: libfreecell-solver0
 Architecture: any
